IntroductionQuickstartAuthenticationPaginationRate Limit

Search endpoints

Job Search POSTCompany Search POSTTechnographics POST

Account endpoints

Get Credit Balance GETGet Credits Consumption GET

Other

Delete Company List DELETEGet List GETExport Companies From List GETGet Companies From List GETList All Lists GETRename Company List PATCHAdd Companies To Multiple Lists POSTAdd Companies To List POSTDuplicate List POSTRemove Companies From List POSTCreate Company List POST
TheirStackTheirStack Logo
Log inSign up
DocumentationAPI ReferenceWebhooksDatasetsMCPGuides
Company lists

Add Companies To List

POST
/v0/company_lists/{list_id}/add_companies

Authorization

Bearer
AuthorizationBearer <token>

In: header

Path Parameters

  • list_id
    integerrequired
  • Request Body

    application/json

    • company_ids
      array<string>
      default: []["jzZtZUAlXO/EX2wK4o6/Jw=="]["Zhp1blVM6WuoHvhFmHlRww==","EYu9fMqOIuJkmaLobIjPqA=="]

      Company IDs (encrypted slugs) to add to the list

    • company_names
      array<string>
      default: []
      deprecated

      Company names to add to the list. Please don't use this filter anymore, use the company_ids filter instead.

    Response Body

    application/json

    application/json

    application/json

    application/json

    application/json

    curl -X POST "https://api.theirstack.com/v0/company_lists/0/add_companies" \  -H "Content-Type: application/json" \  -d '{}'
    {
      "name": "string",
      "id": 0,
      "created_at": "2019-08-24T14:15:22Z",
      "deletable": true,
      "companies_count": 0,
      "user_id": 0,
      "type": "REVEALED_COMPANIES",
      "webhook_id": 0
    }
    {
      "request_id": null,
      "error": {
        "code": "E-001",
        "title": "Not allowed exception",
        "description": "string"
      }
    }
    {
      "request_id": null,
      "error": {
        "code": "E-001",
        "title": "Not allowed exception",
        "description": "string"
      }
    }
    {
      "request_id": null,
      "error": {
        "code": "E-001",
        "title": "Not allowed exception",
        "description": "string"
      }
    }
    {
      "request_id": null,
      "error": {
        "code": "E-001",
        "title": "Not allowed exception",
        "description": "string"
      }
    }

    How is this guide?

    Last updated on

    Add Companies To Multiple Lists POST

    Previous Page

    Duplicate List POST

    Next Page